Subject: Re: bug#25928: [PATCH] gnu: Add darktable.

From: Björn Höfling <[email-masked]>
Date: Mon, 13 Mar 2017 23:24:28 +0100

Hi Roel,

On Thu, 02 Mar 2017 01:04:33 +0100
Roel Janssen <[email-masked]> wrote:

> Dear Guix,
> 
> And finally, here is a patch for Darktable.
> Even though the upstream project strongly recommends x86_64, I do not
> know whether it actually does not work on other platforms.  If the
> builds fail on anything other than x86_64, we could limit it to this
> platform only.
> 
> Kind regards,
> Roel Janssen
> 
> >From 0c7e3fb1343594bae6e2922b1866468e1903c59d Mon Sep 17 00:00:00
> >2001  
> From: Roel Janssen <[email-masked]>
> Date: Thu, 2 Mar 2017 00:56:22 +0100
> Subject: [PATCH] gnu: Add darktable.
> 
> * gnu/packages/photo.scm (darktable): New variable.
> ---
>  gnu/packages/photo.scm | 81
> ++++++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed, 81
> insertions(+)
> 
> diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
> index ce71d2a44..42da06080 100644
> --- a/gnu/packages/photo.scm
> +++ b/gnu/packages/photo.scm
[..]

> +       ("fop" ,fop)

I couldn't build it yet, because it requires the new llvm, but I think
fop is only needed for documentation:

Arch doesn't have it as a dependency:
https://www.archlinux.org/packages/community/x86_64/darktable/

Here it is mentioned only as dependency for the manual:
https://redmine.darktable.org/projects/darktable/wiki/Building_darktable_22

Hope that makes it easier,

Björn